Warning message "nokogumbo: Using Nokogiri::HTML5 provided by Nokogiri"
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

You will see a warning message "nokogumbo: Using Nokogiri::HTML5 provided by Nokogiri" during the startup process. This is due
to #32424.

$ bin/rails ¢ -e production
NOTE: nokogumbo: Using Nokogiri::HTML5 provided by Nokogiri. See https://github.com/sparklemotion/
nokogiri/issues/2205 for more information.

It can be fixed by simply updating the sanitize gem to 6.0.0.

diff --git a/Gemfile b/Gemfile
index 06869fea’7..636e844e6 100644
-—— a/Gemfile
+++ b/Gemfile
@@ -51,7 +51,7 @Q end
group :common_mark do

gem "html-pipeline", "~> 2.13.2"

gem "commonmarker", (RUBY_VERSION < '2.6' ? '0.21.0" : '"~> 0.22")
- gem "sanitize", "~> 5.2"
+ gem "sanitize", "~> 6.0"
end

# Include database gems for the adapters found in the database

Related issues:
Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

Associated revisions

Revision 21171 - 2021-08-13 08:37 - Marius BALTEANU
Pin sanitize to 6.0 (#35752, #32424).

Patch by Go MAEDA.

History

#1 - 2021-08-13 03:28 - Go MAEDA
- Related to Feature #32424: CommonMark Markdown Text Formatting added

#2 - 2021-08-13 08:53 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed

Patch committed. Thanks for pointing this out.

2025-05-02 1/1



https://www.redmine.org/issues/32424
http://www.tcpdf.org

